Subject: patch 5.4p.3 (was: switchbuf)
From: Bram Moolenaar <[email-masked]>
To: Johannes Zellner <[email-masked]>
Cc: vim-dev <[email-masked]>

------------

Johannes Zellner wrote:

> having
>     switchbuf=useopen
> actually splits the window if I use :cn after :make
> and the erroneous buffer wasn't displayed yet.
> 
> I'd rather expect this to behave as `switchbuf=""' if
> the erroneous buffer is currently not displayed.
> 
> Do I expect the wrong thing here?

It's a bug.

Patch 5.4p.3
Problem:    When 'switchbuf' contains "useopen", this implied "split" too.
            There was a check for the 'p' character. (Zellner)
Solution:   Check for a 't' instead of a 'p'.
Files:      src/buffer.c

*** ../vim-5.4p/src/buffer.c	Mon Jul 19 11:08:56 1999
--- src/buffer.c	Mon Jul 19 20:21:33 1999
***************
*** 1003,1009 ****
  	if (vim_strchr(p_swb, 'u'))     /* useopen */
  	    wp = buf_jump_open_win(buf);
  	/* split window if wanted ("split") */
! 	if (wp == NULL && vim_strchr(p_swb, 'p') && !win_split(0, FALSE, FALSE))
  	    return FAIL;
      }
  
--- 1003,1009 ----
  	if (vim_strchr(p_swb, 'u'))     /* useopen */
  	    wp = buf_jump_open_win(buf);
  	/* split window if wanted ("split") */
! 	if (wp == NULL && vim_strchr(p_swb, 't') && !win_split(0, FALSE, FALSE))
  	    return FAIL;
      }

--
hundred-and-one symptoms of being an internet addict:
165. You have a web page burned into your glasses

--/-/---- Bram Moolenaar ---- [email-masked] ---- [email-masked] ---\-\--
  \ \    www.vim.org/iccf      www.moolenaar.net       www.vim.org    / /